poppassd_1.8.5-4.1_i386.deb


Advertisement

Description

poppassd - password change server for Eudora and NUPOP

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name poppassd
Package version 1.8.5
Package release 4.1
Package architecture i386
Package type deb
Installed size 35 B
Download size 11.04 KB
Official Mirror archive.ubuntu.com
This package provides a daemon for changing passwords on POP mail accounts,
a feature common to Eudora and other MacOS/Win32 mail user agents.  This
feature is also commonly used for TCP loopback password changing from web
scripting languages like PHP or Perl, so that the webserver process doesn't
need to be run as root (on in the shadow group).
This version of poppassd changes passwords via PAM (as opposed to other
versions of the same daemon that used the newusers(8) application to change
passwords), allowing for great flexibility.

Alternatives

Package Version Architecture Repository
poppassd_1.8.5-4.1_amd64.deb 1.8.5 amd64 Ubuntu Universe
poppassd - - -

Requires

Name Value
inet-superserver -
libc6 >= 2.7
libpam-runtime >= 0.76-14
libpam0g >= 0.99.7.1
netbase -
openbsd-inetd -
update-inetd -

Download

Type URL
Binary Package poppassd_1.8.5-4.1_i386.deb
Source Package poppassd

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install poppassd deb package:
    # sudo apt-get install poppassd

Files

Path
/etc/pam.d/poppassd
/usr/sbin/poppassd
/usr/share/doc/poppassd/README.gz
/usr/share/doc/poppassd/changelog.Debian.gz
/usr/share/doc/poppassd/copyright
/usr/share/man/man8/poppassd.8.gz

Changelog

2016-10-05 - Peter Colberg <peter@colberg.org>
poppassd (1.8.5-4.1) unstable; urgency=medium
* Non-maintainer upload.
* Bump debhelper compat level to 9 (Closes: #817626)
2010-01-25 - Adam Conrad <adconrad@0c3.net>
poppassd (1.8.5-4) unstable; urgency=low
* Merge change from Ubuntu to depend on an inetd (closes: #520243)
2008-10-20 - Chris Lamb <lamby@debian.org>
poppassd (1.8.5-3.2) unstable; urgency=medium
* Non-maintainer upload.
* Add missing Depends on 'update-inetd' to ensure the presence of
/usr/sbin/update-inetd in postinst script. (Closes: #502830)
2006-11-21 - Steinar H. Gunderson <sesse@debian.org>
poppassd (1.8.5-3.1) unstable; urgency=high
* Non-maintainer upload.
* Don't try to use update-inetd at purge time unless it is actually
available; fixes purge in some cases, patch from Andreas Henriksson.
(Closes: #398563)
2006-01-19 - Adam Conrad <adconrad@0c3.net>
poppassd (1.8.5-3) unstable; urgency=low
* Move debian/copyright and debian/watch back to the old location.  With
any luck, it'll stop moving around, so I can stop uploading for this.
* Update to debhelper 4.0.0, with a debian/compat file and a build-dep.
* Properly support the not-so-new nostrip and noopt options during build.
2005-10-08 - Adam Conrad <adconrad@0c3.net>
poppassd (1.8.5-2) unstable; urgency=low
* Updated debian/copyright and debian/watch to point at new location.
* Update to Standards-Version 3.6.2; no packaging changes required.
2005-01-21 - Adam Conrad <adconrad@0c3.net>
poppassd (1.8.5-1) unstable; urgency=low
* New upstream release, incorporating Debian's gcc-3.3 patch.
* Add patch from Enrique Zanardi <ezanard@debian.org> to avoid segfault
when failing to retrieve the user's passwd struct (closes: #287820)
* Fix up short description to make lintian (and me) happy.
2004-07-28 - Adam Conrad <adconrad@0c3.net>
poppassd (1.8.4-3) unstable; urgency=low
* Added a debian/watch file for the benefit of people who like to
run uscan across the entire Debian archive.
2004-03-19 - Adam Conrad <adconrad@0c3.net>
poppassd (1.8.4-2) unstable; urgency=low
* Updated standards version to 3.6.1 (no changes)
* Added pointer to /usr/share/common-licenses/GPL in copyright
* Changed package priority to `optional' to match override
* Added a versioned dependency on libpam-runtime to guarantee
the availability of the /etc/pam.d/common-* files
* Wrote and included a manpage for poppassd(8), making this
package finally {lintian,linda}-clean (closes: #149153)
2004-01-22 - Adam Conrad <adconrad@0c3.net>
poppassd (1.8.4-1) unstable; urgency=low
* New upstream release
- Uses correct PAM control file (closes: #156971)
- Should now deal properly with cracklib (closes: #228358)
- Bumps up MAX_LEN_USERNAME to 64 (closes: #220328)
* gcc-3.3 patches forward-ported to new upstream version
(closes: #195546)
* removed obsolete call to dh_undocumented in debian/rules
* updated PAM control file to include common-{auth,passwd}

See Also

Package Description
populations_1.2.33+svn0120106-2.1_i386.deb population genetic software
poretools-data_0.6.0+dfsg-2_all.deb toolkit for nanopore nucleotide sequencing data -- sample datasets
poretools_0.6.0+dfsg-2_all.deb toolkit for nanopore nucleotide sequencing data
porg_0.10-1.1_i386.deb Package manager/organizer for software installed from source
pork_0.99.8.1-3build3_i386.deb Console-based AOL Instant Messenger & IRC client
portabase_2.1+git20120910-1.1_i386.deb Easy-to-use personal database application
portaudio19-dev_19.6.0-1_i386.deb Portable audio I/O - development files
portaudio19-doc_19.6.0-1_all.deb Portable audio I/O - documentation
portreserve_0.0.4-1_i386.deb Port reservation program
portsentry_1.2-14_i386.deb Portscan detection daemon
posh_0.12.6_i386.deb Policy-compliant Ordinary SHell
posixtestsuite_1.5.2-6_i386.deb POSIX conformance test suite report log
post-el_2.6-1_all.deb emacs major mode for editing mail
post-faq_0.10-21_all.deb post periodic FAQs to Usenet newsgroups
postal_0.75_i386.deb SMTP benchmark - the mad postman
Advertisement
Advertisement